-- TODO French localization is incomplete!
-- russian localization is also not complete anymore
local allLocalizations = {
	["en"] = {
		["pintype1"] = "Blacksmithing pins",
		["pintypetooltip1"] = "Display ore on the map and compass.",

		["pintype2"] = "Clothier pins",
		["pintypetooltip2"] = "Display clothing material on the map and compass.",

		["pintype3"] = "Enchantment pins",
		["pintypetooltip3"] = "Display runestones on the map and compass.",

		["pintype4"] = "Alchemy pins",
		["pintypetooltip4"] = "Display herbs, flowers and mushrooms on the map and compass.",

		["pintype5"] = "Woodworking pins",
		["pintypetooltip5"] = "Display wood on the map and compass.",

		["pintype6"] = "Chests pins",
		["pintypetooltip6"] = "Display chests on the map and compass.",

		["pintype7"] = "Solvent pins",
		["pintypetooltip7"] = "Display solvents on the map and compass.",

		["pintype8"] = "Fishing pins",
		["pintypetooltip8"] = "Display fishing locations on the map and compass.",

		["pintype9"] = "Heavy Sack pins",
		["pintypetooltip9"] = "Display heavy sacks on the map and compass.",

		["pintype10"] = "Thieves Trove pins",
		["pintypetooltip10"] = "Display Thieves Troves on the map and compass.",

		["pintype11"] = "Justice Container pins",
		["pintypetooltip11"] = "Display Justice Containers like Safeboxes or Heist objectives on the map and compass.",
		
		["pintype12"] = "Stash pins",

		["savepin"] = "Save <<1>>",
		["savetooltip"] = "Enable to save the locations of this resource when you discover them.",

		["pinsize"] = "Pin size",
		["pinsizetooltip"] = "Set the size of <<1>> on the map.",

		["pincolor"] = "Pin color",
		["pincolortooltip"] = "Set the color of the <<1>> on map and compass.",

		["pincolor"] = "Pin color",
		["pincolortooltip"] = "Set the color of the <<1>> on map and compass.",

		["fov"] = "Field of View",
		["fovtooltip"] = "Sets the field of view on the compass for HarvestMap's pins.\nSetting this value to 360° will display all pins on the compass, 180° will display all pins in front of you on the compass.\nThe default value is 90° which is the field of view for the other compass pins.",
		["compassdistance"] = "Max pin distance",
		["compassdistancetooltip"] = "The maximum distance for pins in meters that appear on the compass.",
		["compass"] = "Enable compass",
		["compasstooltip"] = "Enable the display of close pins on the compass. Can be disabled to increase performance.",
		["minnodedist"] = "Minimum Node Distance",
		["nodedisttooltip"] = "The minimum distance between two resources.\nIf they are closer than this, only one pin will be created.",
		["apply"] = "Apply Time Setting",
		["applywarning"] = "Once old data has been removed, it can not be restored!",
		["timedifference"] = "Keep only recent data",
		["timedifferencetooltip"] = "HarvestMap will only keep data from the last X days.\nThis prevents displaying old data which may already be outdated.\nSet to 0 to keep any data regardless of its age.",
		["timedifferencewarning"] = "Data from before the Orsinium update doesn't have a timestamp and will thus always be deleted when using a value greater than 0.",
		["compassoptions"] = "Compass Options",
		["account"] = "Account-wide Settings",
		["accounttooltip"] = "All the settings below will be the same for each of your characters.",
		["accountwarning"] = "Changing this setting will reload the UI.",
		["hiddentime"] = "Respawn Timer",
		["hiddentimetooltip"] = "Recently visited pins will be hidden for X minutes.",
		["hiddentimewarning"] = "Setting this to a value greater than zero can decrease the game's performance - especially when using a minimap addon.",
		["hiddenonharvest"] = "Use Respawn Timer only on harvest",
		["hiddenonharvesttooltip"] = "Enable to hide pins only, when you harvested them. When disabled pins will also be hidden if you visit them.",
		["exactitem"] = "Show only discovered items",
		["exactitemtooltip"] = "Enable to display only the discovered resources in a map pin's tooltip.\nWhen disabled every resource that can respawn at the pin's location will be displayed in the tooltip.",
		["level"] = "Display resource pins above POI pins.",
		["leveltooltip"] = "Enable to display the pins of HarvestMap above the POI pins on the map.",
		["deletepinfilter"] = "Delete HarvestMap pins",
		["options"] = "<<1>> Options",
		["debug"] = "Display debug messages",
		["debugtooltip"] = "Enable to display debug messages in the chat.",
		["filterheatmap"] = "Heatmap mode",
		["goldperminute"] = "Gold per minute:",
		["farmresult"] = "HarvestFarm Result",
		["farmnotour"] = "HarvestFarm was not able to calculate a good farming route with the given minimum route length.",
		["farmerror"] = "HarvestFarm Error",
		["farmnoresources"] = "No resources found.\nThere are no resources on this map or you don't have any resource types selected.",
		["farminvalidmap"] = "The farming helper tool can not be used on this map.",
		["farmsuccess"] = "HarvestFarm calculated a farming route with <<1>> nodes per kilometer.",
		["farmdescription"] = "HarvestFarm will calculate a tour with a very high resource per time ratio.",
		["farmminlength"] = "Minimum route length",
		["farmminlengthtooltip"] = "The minimum length of the tour in kilometers.",
		["farmminlengthdescription"] = "The longer the tour, the higher the chance that the resources have respawned when you start the next cycle.\nHowever a shorter tour will have a better resource per time ratio.",
		["calculatetour"] = "Calculate Tour",
		["showtourinterface"] = "Show Tour Interface",
		["canceltour"] = "Cancel Tour",
		["reverttour"] = "Revert Tour Direction",
		["resourcetypes"] = "Resource Types",
		["skiptarget"] = "Skip current target",
		["removetarget"] = "Remove current target",
		["nodesperminute"] = "Nodes per minute",
		["distancetotarget"] = "Distance to the next resource",
		["showarrow"] = "Display direction",

		["esouidescription"] = "For the addon description and FAQ visit the addon's page on esoui.com",
		["openesoui"] = "Open ESOUI",
		["mergedescription"] = "You can download the most recent HarvestMap data (positions of resources) on teso-harvest-merge.de",
		["openmerge"] = "Open Harvest Merge",

		["maxcachedmaps"] = "Maximum number of cached maps",
		["maxcachedmapstooltip"] = "HarvestMap will keep the nodes of previously viewed maps in memory to display them faster when viewing those maps again. However this greatly increases the addon's memory consumption.",

		["hasdrawdistance"] = "Display only nearby pins",
		["hasdrawdistancetooltip"] = "When enabled, HarvestMap will only create map pins for harvest locations that are close to the player. Not with all minimap addons compatible.",
		["drawdistance"] = "Draw distance",
		["drawdistancetooltip"] = "The distance threshold for which pins are drawn, when 'Display only nearby pins' is enabled.",
		["drawspeed"] = "Draw Speed",
		["drawspeedtooltip"] = "When a new map is opened, HarvestMap will add X pins every 0.2 seconds. Decreasing this value will prevent the game from freezing, but can reduce the FPS for a longer duration.",
		["delaywheninfight"] = "Delay while in combat",
		["delaywheninfighttooltip"] = "HarvestMap will not refresh the pins while the character is in combat. This prevents lag when fighting near cities and other sub-zones.",
		["delaywhenmapclosed"] = "Delay until opening the map",
		["delaywhenmapclosedtooltip"] = "HarvestMap will not refresh the pins while the map is closed. This prevents lag while moving around but can lead to missing pins on minimaps.",
		["refreshonharvest"] = "Refresh all pins after harvesting",
		["refreshonharvesttooltip"] = "When disabled only the updated node will be refreshed instead of all pins that belong to the resource type. This however is not compatible with every minimap addon. Enable this setting if pins disappear or aren't updated on the minimap after harvesting a resource.",
		
		["rangemultiplier"] = "Visited Node Range",
		["rangemultipliertooltip"] = "Nodes within X meters are considered as visited by the respawn timer and the farming helper.",
		
		["pinoptions"] = "General Pin Options",
		["worldpins"] = "Enable 3D pins",
		["worldpinswarning"] = "This feature is still in development and not optimized. Beware of bugs.",
		["worldpinstooltip"] = "Enable to display nearby resource locations in the 3D game world. Can be disabled to improve the performance.",
		["worlddistance"] = "Max 3D pin distance",
		["worlddistancetooltip"] = "The maximum distance for harvest locations in meters. When a location is further away, no 3D pin is displayed.",
		["worldpinsdepth"] = "Use depth-buffer for 3D pins",
		["worldpinsdepthtooltip"] = "When disabled, the 3d pins will not be hidden behind other objects.",
		["worldpinsdepthwarning"] = "Because of a game bug, the 3d pins are invisible when this depth buffer option is enabled and a SubSampling quality of medium or low is selected in the game's video options or if the selected resolution does not match the monitor's resolution.",
		["worldpinheight"] = "3D pin height",
		["worldpinheighttooltip"] = "The height of the 3D pins in meters.",
		["worldpininfo"] = [[Because of a game bug, the 3d pins are invisible when the depth buffer option is enabled and the 3d world resolution does not match the UI resolution.
This is the case if a SubSampling quality of medium or low is selected in the game's video options or if the selected resolution does not match the window/monitor resolution.
Current 3D resolution:<<1>>
Current UI resolution:<<2>>x<<3>>
Current SubSampling:<<4>>
If you click the button below, the 3D resolution will be set to the UI resolution and the SubSampling quality will be set to high.]],
		["worldpingraphic"] = "Set Graphics Settings",
		["outdateddata"] = "Outdated Data Settings",
		["performance"] = "Performance",
		["debugoptions"] = "Debug",
	},
	["de"] = {
		["pintype1"] = "Schmied Pins",
		["pintypetooltip1"] = "Zeige Erze auf der Karte und dem Kompass.",
		["pintype2"] = "Schneiderei Pins",
		["pintypetooltip2"] = "Zeige Kleidungsmaterial auf der Karte und dem Kompass.",
		["pintype3"] = "Verzauberung Pins",
		["pintypetooltip3"] = "Zeige Runen auf der Karte und dem Kompass.",
		["pintype4"] = "Alchemie Pins",
		["pintypetooltip4"] = "Zeige Kräuter auf der Karte und dem Kompass.",
		["pintype5"] = "Schreinerei Pins",
		["pintypetooltip5"] = "Zeige Holz auf der Karte und dem Kompass.",
		["pintype6"] = "Schatztruhen Pins",
		["pintypetooltip6"] = "Zeige Schatztruhen auf der Karte und dem Kompass.",
		["pintype7"] = "Lösung Pins",
		["pintypetooltip7"] = "Zeige Lösungen (Alchemie Zutat) auf der Karte und dem Kompass.",
		["pintype8"] = "Fischgrund Pins",
		["pintypetooltip8"] = "Zeige Fischgründe auf der Karte und dem Kompass.",
		["pintype9"] = "Schwerer Sack Pins",
		["pintypetooltip9"] = "Zeige Schwere Säcke auf der Karte und dem Kompass.",
		["pintype10"] = "Diebesgut Pins",
		["pintypetooltip10"] = "Zeige Diebesgut auf der Karte und dem Kompass.",
		["pintype11"] = "Rechtssystem Pins",
		["pintypetooltip11"] = "Zeige Rechtssystem Pins (Beutezugziele und Wertkassetten) auf der Karte und dem Kompass.",
		["pintype12"] = "Geheimversteck Pins",

		["pinsize"] = "Pingröße",
		["pinsizetooltip"] = "Setze die Größe der <<1>> auf der Karte.",

		["pincolor"] = "Pinfarbe",
		["pincolortooltip"] = "Setze die Farbe der <<1>> auf der Karte und dem Kompass.",

		["savepin"] = "Speichere <<1>>",
		["savetooltip"] = "Aktiviere diese Einstellung, um die Position dieser Ressource zu speichern, wenn du sie findest.",

		["fov"] = "Sichtfeld",
		["fovtooltip"] = "Setze das Sichtfeld für die Pins auf dem Kompass.\nIst dieser Wert auf 360°, so werden alle Pins angezeigt, bei 180° erscheinen nur Pins vor dir auf dem Kompass angezeigt.\nDer Standardwert liegt bei 108°, was dem Sichtfeld der gewöhnlichen Kompasspins entspricht.",
		["compassdistance"] = "Maximale Pinentfernung",
		["compassdistancetooltip"] = "Die maximale Entfernung von Pins in Metern, sodass diese noch immer auf dem Kompass erscheinen.",
		["compass"] = "Aktiviere Kompasspins",
		["compasstooltip"] = "Aktiviere diese Einstellung um nahegelegene Pins auf dem Kompass anzeigen zu lassen. Deaktivieren kann zu einer Performanzverbesserung führen.",
		["apply"] = zo_strupper("ü") .. "bernehmen",
		["applywarning"] = "Einmal gelöschte Daten können nicht wiederhergestellt werden!",
		["timedifference"] = "Verwerfe veraltete Daten",
		["timedifferencetooltip"] = "HarvestMap verwirft Daten älter als X Tage.\nSetze diesen Wert auf 0, um alle Daten zu behalten - egal wie alt sie sind.",
		["timedifferencewarning"] = "Daten älter als das Orsiniumupdate besitzen keine Zeitinformationen und werden deshalb bei jedem Wert größer als 0 gelöscht.",
		["compassoptions"] = "Kompass Optionen",
		["account"] = "Accountweite Einstellungen",
		["accounttooltip"] = "Alle Einstellungen unterhalb sind dieselben für alle deine Figuren.",
		["accountwarning"] = "Wenn diese Einstellung geändert wird, wird das Interface neu geladen und es kommt zu einem Ladebildschirm.",
		["hiddentime"] = "Respawn Timer",
		["hiddentimetooltip"] = "Vor kurzem besuche Pins werden für X minuten von der Karte und dem Kompass versteckt. Ist dieser Wert 0, so werden die Pins niemals versteckt.",
		["hiddentimewarning"] = "Setze diesen Wert auf 0, um die Performanz zu verbessern.",
		["hiddenonharvest"] = "Erntespezifischer Respawn Timer",
		["hiddenonharvesttooltip"] = "Aktiviere diese Einstellung um Pins nur zu verstecken, wenn du an ihrer Position etwas geerntet hast.\nWenn deaktiviert werden Pins bereits beim Besuchen versteckt.",
		["exactitem"] = "Zeige nur entdeckte Ressourcen",
		["exactitemtooltip"] = "Aktiviere diese Einstellungen um im Pintooltip nur von dir entdeckte Gegenstände anzuzeigen.\nFalls deaktiviert werden abhängig von der Zone, deiner Stufe und deinem Handwerksrang die möglichen Ressourcen berechnet und angezeigt.",
		["level"] = "Zeige HarvestMaps Pins über den anderen Pins.",
		["leveltooltip"] = "Falls diese Einstellung aktiviert ist, werden HarvestMaps Pins nicht von den anderen Pins auf der Karte verdeckt.",
		["deletepinfilter"] = "Lösche HarvestMap Pins",
		["options"] = "<<1>> Optionen",
		["debug"] = "Zeige Debugnachrichten an",
		["debugtooltip"] = "Falls aktiviert werden Debugnachrichten im Chatfenster angezeigt.",
		["filterheatmap"] = "Heatmap Modus",
		["goldperminute"] = "Gold pro Minute:",
		["farmresult"] = "HarvestFarm Ergebnis",
		["farmnotour"] = "HarvestFarm war nicht in der Lage eine gute Tour mit der gegebenen minimalen Tourlänge zu berechnen.",
		["farmerror"] = "HarvestFarm Fehler",
		["farmnoresources"] = "Keine Ressourcen gefunden.\nEs gibt keine Ressourcen auf dieser Karte oder du hast keine Ressourcen ausgewählt.",
		["farminvalidmap"] = "HarvestFarm kann auf dieser Karte nicht verwendet werden.",
		["farmsuccess"] = "HarvestFarm berechnete eine Tour mit <<1>> Erntepunkten pro Kilometer.",
		["farmdescription"] = "HarvestFarm berechnet eine Tour mit einer sehr hohen Ressourcen-pro-Zeit-Rate.",
		["farmminlength"] = "Minimale Tourlänge",
		["farmminlengthtooltip"] = "Die Länge wird in Kilometern angegeben.",
		["farmminlengthdescription"] = "Je länger die Tour, desto höher die Wahrscheinlichtkeit, dass die Erntepunkte beim nächsten Besuch respawnt sind.\nEine kürzere Tour liefert jedoch eine bessere Ressourcen-pro-Zeit-Rate.",
		["calculatetour"] = "Berechne die Tour",
		["showtourinterface"] = "Zeige Tour Interface",
		["canceltour"] = "Tour Abbrechen",
		["resourcetypes"] = "Ressourcenarten",
		["skiptarget"] = zo_strupper("ü").."berspringe Ziel",
		["nodesperminute"] = "Erntepunkte pro Minute",
		["distancetotarget"] = "Distanz zum Ziel:",
		["showarrow"] = "Zeige Richtung an",

		["esouidescription"] = "Eine Addon Beschreibung sowie die FAQ befinden sich auf esoui.com",
		["openesoui"] = zo_strupper("ö").."ffne ESOUI",
		["mergedescription"] = "Du kannst aktuelle HarvestMap Daten (Positionen der Rohstoffe) auf\nteso-harvest-merge.de herunterladen.",
		["openmerge"] = zo_strupper("ö").."ffne Harvest Merge",

		["maxcachedmaps"] = "Maximale Anzahl Karten im Cache",
		["maxcachedmapstooltip"] = "HarvestMap hält die Erntepunkte vorher betrachteter Karten im Arbeitsspeicher, um diese Karten bei erneutem betrachten schneller laden zu können. Der erhöhte Speicherbedarf kann aber die Performanz negativ beeinflussen.",

		["hasdrawdistance"] = "Zeige nur nahe Pins",
		["hasdrawdistancetooltip"] = "Falls aktiviert, wird HarvestMap nur Pins in der Nähe des Spieler anzeigen.",
		["drawdistance"] = "Anzeigedistanz",
		["drawdistancetooltip"] = "Die Distanzgrenze für die 'Zeige nur nahe Pins' Option.",
		["drawspeed"] = "Anzeige Geschwindigkeit",
		["drawspeedtooltip"] = "Wenn eine neue Karte geöffnet wird, werden X Pins alle 0.2 Sekunden hinzugefügt. Das verringern der Anzeigegeschwindikeit verhindert ein kurzes Einfrieren des Spiels beim betrachten einer neuen Karte, allerdings könnte die FPS für einen längeren Zeitraum verringert werden.",
	},
	["fr"] = { --translation based on wookiefrag's input.
		["pintype1"] = "Gisements Pins",
		["pintypetooltip1"] = "Montre les gisements de minerais sur la carte et la boussole.",
		["pintype2"] = "Matériaux Pins",
		["pintypetooltip2"] = "Montre les matériaux de couture sur la carte et la boussole.",
		["pintype3"] = "Pierres runiques Pins",
		["pintypetooltip3"] = "Montre les pierres runiques sur la carte et la boussole.",
		["pintype4"] = "Plantes Pins",
		["pintypetooltip4"] = "Montre les plantes sur la carte et la boussole.",
		["pintype5"] = "Matériaux Pins",
		["pintypetooltip5"] = "Montre les rondins de bois sur la carte et la boussole.",
		["pintype6"] = "Coffres Pins",
		["pintypetooltip6"] = "Montre les coffres sur la carte et la boussole.",
		["pintype7"] = "Solvants Pins",
		["pintypetooltip7"] = "Montre les solvants sur la carte et la boussole.",


		["pinsize"] = "Taille des repères",
		["pinsizetooltip"] = "Paramètre la taille des repères des <<1>> de la carte.",

		["pincolor"] = "Couleur des repères",
		["pincolortooltip"] = "Définit la couleur des repères des <<1>> de la carte et de la boussole.",

		["fov"] = "Champ de vision",
		["compassdistance"] = "Distance maximale d'un repère",
		["compassdistancetooltip"] = "Distance maximale a laquelle les différents repères apparaissent sur la boussole.",
		["compass"] = "Activer la boussole",
		["compasstooltip"] = "Activer l'affichage des repères a proximité sur la boussole.",
	},
	["ru"] = {
		["pintype1"] = "Кузнeчнoe дeлo",
		["pintypetooltip1"] = "Пoкaзывaть pуды нa кapтe и кoмпace.",
		["gather1"] = "Зaпoминaть pуды",
		["gathertooltip1"] = "Paзpeшить зaпoминaть и coxapнить пoлoжeниe pуд нa кapтe, кoгдa вы иx нaйдeтe.",

		["pintype2"] = "Пopтняжнoe дeлo",
		["pintypetooltip2"] = "Пoкaзывaть ткaни нa кapтe и кoмпace.",
		["gather2"] = "Зaпoминaть ткaни",
		["gathertooltip2"] = "Paзpeшить зaпoминaть и coxapнить пoлoжeниe ткaнeй нa кapтe, кoгдa вы иx нaйдeтe.",

		["pintype3"] = "Зaчapoвaниe",
		["pintypetooltip3"] = "Пoкaзывaть pуны нa кapтe и кoмпace.",
		["gather3"] = "Зaпoминaть pуны",
		["gathertooltip3"] = "Paзpeшить зaпoминaть и coxapнить пoлoжeниe pун нa кapтe, кoгдa вы иx нaйдeтe.",

		["pintype4"] = "Aлxимия",
		["pintypetooltip4"] = "Пoкaзывaть тpaвы нa кapтe и кoмпace.",
		["gather4"] = "Зaпoминaть тpaвы",
		["gathertooltip4"] = "Paзpeшить зaпoминaть и coxapнить пoлoжeниe тpaв нa кapтe, кoгдa вы иx нaйдeтe.",

		["pintype5"] = "Cтoляpнoe дeлo",
		["pintypetooltip5"] = "Пoкaзывaть дpeвecину нa кapтe и кoмпace.",
		["gather5"] = "Зaпoминaть дpeвecину",
		["gathertooltip5"] = "Paзpeшить зaпoминaть и coxapнить пoлoжeниe дpeвecины нa кapтe, кoгдa вы ee нaйдeтe.",

		["pintype6"] = "Cундуки",
		["pintypetooltip6"] = "Пoкaзывaть cундуки нa кapтe и кoмпace.",
		["gather6"] = "Зaпoминaть cундуки",
		["gathertooltip6"] = "Paзpeшить зaпoминaть и coxapнить пoлoжeниe cундукoв нa кapтe, кoгдa вы иx нaйдeтe.",

		["pintype7"] = "Pacтвopитeли",
		["pintypetooltip7"] = "Пoкaзывaть pacтвopитeли нa кapтe и кoмпace.",
		["gather7"] = "Зaпoминaть pacтвopитeли",
		["gathertooltip7"] = "Paзpeшить зaпoминaть и coxapнить пoлoжeниe pacтoвpитeлeй нa кapтe, кoгдa вы иx нaйдeтe.",

		["pintype8"] = "Pыбныe мecтa",
		["pintypetooltip8"] = "Пoкaзывaть pыбныe мecтa нa кapтe и кoмпace.",
		["gather8"] = "Зaпoминaть pыбныe мecтa",
		["gathertooltip8"] = "Paзpeшить зaпoминaть и coxapнить пoлoжeниe pыбныx мecт нa кapтe, кoгдa вы иx нaйдeтe.",

		["pintype9"] = "Тяжeлыe мeшки",
		["pintypetooltip9"] = "Пoкaзывaть тяжeлыe мeшки нa кapтe и кoмпace.",
		["gather9"] = "Зaпoминaть тяжeлыe мeшки",
		["gathertooltip9"] = "Paзpeшить зaпoминaть и coxapнить пoлoжeниe тяжeлыx мeшкoв нa кapтe, кoгдa вы иx нaйдeтe.",

		["pintype10"] = "Вopoвcкиe тaйники",
		["pintypetooltip10"] = "Пoкaзывaть вopoвcкиe тaйники нa кapтe и кoмпace.",
		["gather10"] = "Зaпoминaть вopoвcкиe тaйники",
		["gathertooltip10"] = "Paзpeшить зaпoминaть и coxapнить пoлoжeниe вopoвcкиx тaйникoв нa кapтe, кoгдa вы иx нaйдeтe.",

		["size1"] = "Paзмep икoнки",
		["sizetooltip1"] = "Зaдaeт paзмep икoнки pуды нa кapтe.",
		["size2"] = "Paзмep икoнки",
		["sizetooltip2"] = "Зaдaeт paзмep икoнки ткaнeй нa кapтe.",
		["size3"] = "Paзмep икoнки",
		["sizetooltip3"] = "Зaдaeт paзмep икoнки pун нa кapтe.",
		["size4"] = "Paзмep икoнки",
		["sizetooltip4"] = "Зaдaeт paзмep икoнки тpaв нa кapтe.",
		["size5"] = "Paзмep икoнки",
		["sizetooltip5"] = "Зaдaeт paзмep икoнки дpeвecины нa кapтe.",
		["size6"] = "Paзмep икoнки",
		["sizetooltip6"] = "Зaдaeт paзмep икoнки cундукoв нa кapтe.",
		["size7"] = "Paзмep икoнки",
		["sizetooltip7"] = "Зaдaeт paзмep икoнки pacтвopитeлeй нa кapтe.",
		["size8"] = "Paзмep икoнки",
		["sizetooltip8"] = "Зaдaeт paзмep икoнки pыбныx мecт нa кapтe.",
		["size9"] = "Paзмep икoнки",
		["sizetooltip9"] = "Зaдaeт paзмep икoнки тяжeлыx мeшкoв нa кapтe.",
		["size10"] = "Paзмep икoнки",
		["sizetooltip10"] = "Зaдaeт paзмep икoнки Вopoвcкиx Тaйникoв нa кapтe.",
		["size20"] = "Paзмep икoнки",
		["sizetooltip20"] = "Зaдaeт paзмep икoнки Вopoвcкиx Тaйникoв нa кapтe.",

		["color1"] = "Цвeт икoнки",
		["colortooltip1"] = "Зaдaeт цвeт икoнки pуды нa кapтe и кoмпace.",
		["color2"] = "Цвeт икoнки",
		["colortooltip2"] = "Зaдaeт цвeт икoнки ткaнeй нa кapтe и кoмпace.",
		["color3"] = "Цвeт икoнки",
		["colortooltip3"] = "Зaдaeт цвeт икoнки pун нa кapтe и кoмпace.",
		["color4"] = "Цвeт икoнки",
		["colortooltip4"] = "Зaдaeт цвeт икoнки тpaв нa кapтe и кoмпace.",
		["color5"] = "Цвeт икoнки",
		["colortooltip5"] = "Зaдaeт цвeт икoнки дpeвecины нa кapтe и кoмпace.",
		["color6"] = "Цвeт икoнки",
		["colortooltip6"] = "Зaдaeт цвeт икoнки cундукoв нa кapтe и кoмпace.",
		["color7"] = "Цвeт икoнки",
		["colortooltip7"] = "Зaдaeт цвeт икoнки pacтвopитeлeй нa кapтe и кoмпace.",
		["color8"] = "Цвeт икoнки",
		["colortooltip8"] = "Зaдaeт цвeт икoнки pыбныx мecт нa кapтe и кoмпace.",
		["color9"] = "Цвeт икoнки",
		["colortooltip9"] = "Зaдaeт цвeт икoнки тяжeлыx мeшкoв нa кapтe и кoмпace.",
		["color10"] = "Цвeт икoнки",
		["colortooltip10"] = "Зaдaeт цвeт икoнки Вopoвcкиx Тaйникoв нa кapтe и кoмпace.",
		["color20"] = "Цвeт икoнки",
		["colortooltip20"] = "Зaдaeт цвeт икoнки Вopoвcкиx Тaйникoв нa кapтe и кoмпace.",

		["fov"] = "Пoлe видимocти",
		["fovtooltip"] = "25 ~ Вы мoжeтe видeть икoнки в кoнуce 90 гpaдуcoв пepeд вaми.\n(25% = чeтвepть кpугa)\n100 ~ Вы мoжeтe видeть вce икoнки вoкpуг вac.\n(100% = пoлный кpуг).",
		["compassdistance"] = "Диcтaнция икoнoк",
		["compassdistancetooltip"] = "Мaкcимaльнaя диcтaнция, нa кoтopoй икoнки будут пoявлятьcя нa кapтe и кoмпace.",
		["compass"] = "Oтoбpaжaть нa кoмпace",
		["compasstooltip"] = "Oтoбpaжaть ближaйшиe икoнки нa кoмпace.",
		["minnodedist"] = "Диcт. мeжду pecуpcaми",
		["nodedisttooltip"] = "Минимaльнoe paccтoяниe мeжду тoчкaми pecуpcoв.\nEcли oни ближe, чeм укaзaннoe знaчeниe, будeт coздaнa тoлькo oднa икoнкa.",
		["apply"] = "Пpимeнить вpeмeнныe нacтpoйки",
		["applywarning"] = "Кaк тoлькo cтapыe дaнныe будут удaлeны, иx будeт нeвoзмoжнo вoccтaнoвить!",
		["timedifference"] = "Тoлькo aктуaльныe дaнныe",
		["timedifferencetooltip"] = "HarvestMap будeт coxpaнять дaнныe тoлькo зa пocлдeниe X днeй.\nЭтo пoзвoляeт нe oтpaжaть cтapыe дaнныe, кoтopыe ужe мoгли уcтapeть.\nУcтaнoвитe 0, чтoбы coxpaнить вce дaнныe внe зaвиcимocти oт иx вoзpacтa.",
		["timedifferencewarning"] = "Дaнныe дo выxoда oбнoвлeния Orsinium нe имeют вpeмeннoй пpивязки и вceгдa будeт удaлятьcя, ecли уcтaнoвить знaчeниe бoльшe, чeм 0.",
		["compassoptions"] = "Кoмпac",
		["account"] = "Нacтpoйки нa aккaунт",
		["accounttooltip"] = "Вce нacтpoйки нижe будут пpимeнeны кo вceм пepcoнaжaм нa вaшeм aккaунтe.",
		["accountwarning"] = "Измeнeниe этoй нacтpйoки пepeзaгpузит UI.",
		["hiddentime"] = "Вpeмя вoзpoждeния",
		["hiddentimetooltip"] = "Тoлькo чтo пoceщeнный pecуpc будeт cкpыт нa X минут.",
		["hiddentimewarning"] = "Уcтaнoвкa этoгo знaчeния в знaчeниe бoльшe 0 мoжeт cнизить пpoизвoдитeльнocть - ocoбeннo ecли иcпoльзуeтcя aддoн миникapты.",
		["exactitem"] = "Тoлькo нaйдeнныe pуcуpcы",
		["exactitemtooltip"] = "Пpи включeнии oтoбpaжaeт в пoдcкaзкe к икoнкe нa кapтe тoлькo ужe нaйдeнныe тaм pуcуpcы.\nEcли oтключeнo, вce pecуpcы, кoтopыe мoгут пoявитьcя в мecтe икoнки, будут пoкaзaны в пoдcкaзкe.",
	},
	["jp"] = {
		["pintype1"] = "鍛冶のピン",
		["pintypetooltip1"] = "マップとコンパスに鉱石を表示します。",

		["pintype2"] = "仕立のピン",
		["pintypetooltip2"] = "マップとコンパスに仕立の材料を表示します。",

		["pintype3"] = "付呪のピン",
		["pintypetooltip3"] = "マップとコンパスにルーンストーンを表示します。",

		["pintype4"] = "錬金術のピン",
		["pintypetooltip4"] = "マップとコンパスにハーブ、花、キノコを表示します。",

		["pintype5"] = "木工のピン",
		["pintypetooltip5"] = "マップとコンパスに木材を表示します。",

		["pintype6"] = "宝箱のピン",
		["pintypetooltip6"] = "マップとコンパスに宝箱を表示します。",

		["pintype7"] = "溶媒のピン",
		["pintypetooltip7"] = "マップとコンパスに溶媒を表示します。",

		["pintype8"] = "釣り場のピン",
		["pintypetooltip8"] = "マップとコンパスに釣り場を表示します。",

		["pintype9"] = "重い袋のピン",
		["pintypetooltip9"] = "マップとコンパスに重い袋を表示します。",

		["pintype10"] = "盗賊の宝のピン",
		["pintypetooltip10"] = "マップとコンパスに盗賊の宝を表示します。",

		["pintype11"] = "犯罪コンテナのピン",
		["pintypetooltip11"] = "マップとコンパスに金庫や強奪目標といった犯罪コンテナを表示します。",
		
		["pintype12"] = "隠し場所のピン",

		["savepin"] = "<<1>>の保存",
		["savetooltip"] = "このリソースの発見場所の保存を有効にします。",

		["pinsize"] = "ピンのサイズ",
		["pinsizetooltip"] = "マップの<<1>>のサイズを設定します。",

		["pincolor"] = "ピンの色",
		["pincolortooltip"] = "マップとコンパスの<<1>>の色を設定します。",

		["pincolor"] = "ピンの色",
		["pincolortooltip"] = "マップとコンパスの<<1>>の色を設定します。",

		["fov"] = "視野角(FOV)",
		["fovtooltip"] = "HarvestMapのピンのコンパス上の視野角(FOV)を設定します。\n360°を設定すると全てのピンがコンパスに表示され、180°を設定すると自分より前にある全てのピンがコンパスに表示されます。\nデフォルトは90°で、他のコンパスピンの視野角(FOV)のデフォルトです。",
		["compassdistance"] = "ピンの最大距離",
		["compassdistancetooltip"] = "コンパスに表示するピンの最大距離(メートル)です。",
		["compass"] = "コンパスを有効にする",
		["compasstooltip"] = "近くのピンをコンパスに表示します。無効にするとパフォーマンスが向上します。",
		["minnodedist"] = "資源アイテム間の最短距離",
		["nodedisttooltip"] = "2つの資源アイテム間の最短距離。\nこの値より短いとピンを1つだけ生成します。",
		["apply"] = "期限設定の適用",
		["applywarning"] = "一度期限切れのデータを削除すると元に戻せません！",
		["timedifference"] = "最近のデータのみ保存する",
		["timedifferencetooltip"] = "HarvestMapは過去X日間のデータだけを保持します。\nこれにより既に古くなったデータは表示されなくなります。\n0を設定すると日数にかかわらず全てのデータを保持します。",
		["timedifferencewarning"] = "オルシニウムアップデート前のデータにはタイムスタンプがないため、0より大きな値を設定すると常に削除されます。",
		["compassoptions"] = "コンパスオプション",
		["account"] = "アカウント全体設定",
		["accounttooltip"] = "全キャラクターで以下の設定が同じになります。",
		["accountwarning"] = "この設定を変更するとUIがリロードされます。",
		["hiddentime"] = "リスポーンタイマー",
		["hiddentimetooltip"] = "最近訪問したピンをX分間非表示にします。",
		["hiddentimewarning"] = "0より大きな値を設定するとゲームのパフォーマンスが低下する可能性があります(特にミニマップアドオンを使用する場合)。",
		["hiddenonharvest"] = "採取時にだけリスポーンタイマーを使う",
		["hiddenonharvesttooltip"] = "有効にすると採取した時だけピンを非表示にします。無効にしても訪問時にはピンを非表示にします。",
		["exactitem"] = "発見済アイテムだけを表示する",
		["exactitemtooltip"] = "有効にすると発見済のリソースだけをマップピンのツールチップに表示します。\n無効にするとピンの場所にリスポーンしうる全リソースをツールチップに表示します。",
		["level"] = "リソースピンを重要地点ピンの上に表示",
		["leveltooltip"] = "マップの重要地点ピンより上にHarvestMapのピンを表示します。",
		["deletepinfilter"] = "HarvestMapのピンの削除",
		["options"] = "<<1>> オプション",
		["debug"] = "デバッグメッセージの表示",
		["debugtooltip"] = "チャットにデバッグメッセージを表示します。",
		["filterheatmap"] = "色分け地図モード",
		["goldperminute"] = "ゴールド/分:",
		["farmresult"] = "HarvestFarmの結果",
		["farmnotour"] = "HarvestFarmは指定された最短距離では良好なファーミング経路を算出できませんでした。",
		["farmerror"] = "HarvestFarmエラー",
		["farmnoresources"] = "リソースが見つかりません。\nこのマップにリソースがないか、選択された種類のリソースがありません。",
		["farminvalidmap"] = "このマップでファーミングヘルパーツールは使用できません。",
		["farmsuccess"] = "HarvestFarmはキロメートル当たり<<1>>個の資源アイテムを含む経路を算出しました。",
		["farmdescription"] = "HarvestFarmは時間当たりのリソース数が非常に高いツアーを算出します。",
		["farmminlength"] = "経路の最短距離",
		["farmminlengthtooltip"] = "ツアーの最短距離(単位:キロメートル)です。",
		["farmminlengthdescription"] = "ツアーの距離が長いほど次の周回時にリソースがリスポーンする可能性が高くなります。\nツアーの距離が短いと時間当たりのリソース数が向上します。",
		["calculatetour"] = "ツアーの算出",
		["showtourinterface"] = "ツアーUIの表示",
		["canceltour"] = "ツアーのキャンセル",
		["reverttour"] = "ツアーの方向を元に戻す",
		["resourcetypes"] = "リソースの種別",
		["skiptarget"] = "現在の対象をスキップ",
		["removetarget"] = "現在の対象を除外",
		["nodesperminute"] = "資源アイテム数/分",
		["distancetotarget"] = "次のリソースまでの距離",
		["showarrow"] = "方向の表示",

		["esouidescription"] = "アドオンの説明とFAQについてはesoui.comのアドオンページを参照してください。",
		["openesoui"] = "ESOUIの閲覧",
		["mergedescription"] = "最新のHarvestMapデータ(リソースの場所)はteso-harvest-merge.deでダウンロードできます。",
		["openmerge"] = "Harvest Mergeの閲覧",

		["maxcachedmaps"] = "キャッシュするマップの最大数",
		["maxcachedmapstooltip"] = "HarvestMapは以前に表示したマップの資源アイテムをメモリに保持し、マップ再表示時に該当マップを高速表示します。しかしアドオンのメモリ消費が大幅に増加します。",

		["hasdrawdistance"] = "近くのピンだけを表示する",
		["hasdrawdistancetooltip"] = "HarvestMapはプレイヤーの近くの採取場所のマップピンだけを生成します。互換性のあるミニマップアドオンはありません。",
		["drawdistance"] = "描画距離",
		["drawdistancetooltip"] = "'近くのピンだけを表示する'が有効の場合、ピンを描画する距離のしきい値です。",
		["drawspeed"] = "描画速度",
		["drawspeedtooltip"] = "新しいマップを開くと、HarvestMapは0.2秒ごとにピンをX個追加します。この値を小さくするとゲームのフリーズを防げますが、FPSの低下がより長時間に及ぶことがあります。",
		["delaywheninfight"] = "戦闘中は遅延する",
		["delaywheninfighttooltip"] = "HarvestMapはキャラクターの戦闘中にピンを更新しません。町の近くやサブゾーン付近で戦闘する際のラグを防ぎます。",
		["delaywhenmapclosed"] = "マップを開くまで遅延する",
		["delaywhenmapclosedtooltip"] = "マップが閉じている間、HarvestMapはピンを更新しません。移動中のラグを防ぎますが、ミニマップ上のピンが欠落することがあります。",
		["refreshonharvest"] = "採取後に全てのピンを更新する",
		["refreshonharvesttooltip"] = "無効にすると、リソース種別に対応した全てのピンではなく、更新された資源アイテムのみを更新します。しかし全てのミニマップアドオンと互換性がありません。ピンが表示されなかったり資源アイテム採取後にミニマップが更新されない場合はこの設定を有効にします。",
		
		["rangemultiplier"] = "資源アイテムを訪問済にする距離",
		["rangemultipliertooltip"] = "リスポーンタイマーやファーミングヘルパーにより、Xメートル以内の資源アイテムは訪問済とみなされます。",
		
		["pinoptions"] = "ピンの全般オプション",
		["worldpins"] = "3Dピンの有効化",
		["worldpinswarning"] = "本機能は開発中であり最適化されていません。バグに注意してください。",
		["worldpinstooltip"] = "有効にすると3Dゲームワールド内に近くのリソースの場所を表示できます。パフォーマンス向上のために無効にすることもできます。",
		["worlddistance"] = "3Dピンの最大距離",
		["worlddistancetooltip"] = "採取場所までの最大距離(メートル)です。これ以上遠くにある場所の3Dピンは表示されません。",
		["worldpinsdepth"] = "3Dピンに深度バッファを使う",
		["worldpinsdepthtooltip"] = "無効にすると3Dピンは他のオブジェクトの背後に隠れません。",
		["worldpinsdepthwarning"] = "深度バッファを有効にした場合、ゲームのビデオオプションでサブサンプリングの品質を中または低にするか、モニタ解像度と不一致の解像度を選択すると、ゲームのバグにより3Dピンが表示されません。",
		["worldpinheight"] = "3Dピンの高さ",
		["worldpinheighttooltip"] = "3Dピンの高さ(メートル)です。",
		["worldpininfo"] = [[深度バッファを有効にした場合、3Dワールドの解像度とUIの解像度が一致しないと、ゲームのバグにより3Dピンが表示されません。
これはゲームのビデオオプションでサブサンプリングの品質を中または低にするか、ウィンドウ/モニタ解像度と不一致の解像度を選択した場合に発生します。
現在の3D解像度:<<1>>
現在のUI解像度:<<2>>x<<3>>
現在のサブサンプリング品質:<<4>>
以下のボタンをクリックすると、UI解像度に3D解像度を設定し、サブサンプリング品質を高に設定します。]],
		["worldpingraphic"] = "グラフィック設定の変更",
		["outdateddata"] = "期限切れデータの設定",
		["performance"] = "パフォーマンス",
		["debugoptions"] = "デバッグ",
	},
}

-- Set Localization
Harvest.language = GetCVar("language.2")
-- use english localization if the language isn't supported
if not allLocalizations[Harvest.language] then
	Harvest.language = "en"
end

-- create string for the key bind
if Harvest.language == "de" then
	ZO_CreateStringId("SI_BINDING_NAME_SKIP_TARGET", "Überspringe Ziel")
	ZO_CreateStringId("SI_BINDING_NAME_REMOVE_TARGET", "Entferne Ziel von der Tour")
	ZO_CreateStringId("SI_BINDING_NAME_TOGGLE_WORLDPINS", "(De-)Aktiviere 3D pins")
elseif Harvest.language == "jp" then
	ZO_CreateStringId("SI_BINDING_NAME_SKIP_TARGET", "対象のスキップ")
	ZO_CreateStringId("SI_BINDING_NAME_REMOVE_TARGET", "ツアーから対象を除外")
	ZO_CreateStringId("SI_BINDING_NAME_TOGGLE_WORLDPINS", "3Dピンの切り替え")
else -- french, russian, etc are missing
	ZO_CreateStringId("SI_BINDING_NAME_SKIP_TARGET", "Skip Target")
	ZO_CreateStringId("SI_BINDING_NAME_REMOVE_TARGET", "Remove target from the tour")
	ZO_CreateStringId("SI_BINDING_NAME_TOGGLE_WORLDPINS", "Toggle 3D pins")
end

local localization = allLocalizations[Harvest.language]
function Harvest.GetLocalization(tag)
	-- return the localization for the given tag,
	-- if the localization is missing, use the english string instead
	-- if the english string is missing, something went wrong.
	-- return the tag so that at least some string is returned to prevent the addon from crashing
	return (localization[ tag ] or allLocalizations["en"][ tag ]) or tag
end
